Bug 19171 - Confusing message "no items available" when placing a hold in OPAC
Summary: Confusing message "no items available" when placing a hold in OPAC
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-08-24 08:25 UTC by Katrin Fischer
Modified: 2018-05-04 12:50 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19171: Attempt to make "no holds possible" messages less confusing (3.90 KB, patch)
2018-04-23 06:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19171: Attempt to make "no holds possible" messages less confusing (3.98 KB, patch)
2018-04-24 12:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19171: Attempt to make "no holds possible" messages less confusing (4.08 KB, patch)
2018-05-04 10:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-08-24 08:25:06 UTC
When there are no items available to be placed on hold, the hold page in the OPAC reads for example:

Sorry, none of these items can be placed on hold. 
No items available.

To the patron this is confusing:
- the record has items, but they are not showing (none of these...?)
- the record may well have available items that are not shown, as a lot of libraries don't allow holds on items that are available.

I think we could improve this already by rephrasing the message a bit.
Comment 1 Katrin Fischer 2017-10-04 12:55:38 UTC
Upping severity as we have another library reporting this issue and it's confusing patrons.
Comment 2 Katrin Fischer 2018-04-18 15:23:16 UTC
Just got antoher report on this.
Comment 3 Katrin Fischer 2018-04-23 06:06:03 UTC
Created attachment 74710 [details] [review]
Bug 19171: Attempt to make "no holds possible" messages less confusing

At the moment, when no holds are possible, the OPAC reads something
like:

Sorry, none of these items can be placed on hold.
No items available.

This is confusing to the patrons, because the records have items,
but they are not showing. The record also may have available items,
they are just not permitted to place holds on them.

Changes:
- Only display the first message, when somoene tried unsuccessfully
  to place holds on multiple records.
- Change first message to: Sorry, none of these titles can be placed on hold.
- Change the second message to read:
  No items available to be placed on hold.
- Remove <strong> around Sorry for better translatability.

To test:
- Try to place a hold on single record, where no hold is possible.
- Try to place a hold on a single record, where a hold is possible.
- Try to place holds on multiple records where no hold is possible.
- Try to place holds on multiple records where at least one hold
  is possible.

  Verify the screen messages make sense in all cases.

https://bugs.koha-community.org/show_bug.cgi?id=14716
Comment 4 Katrin Fischer 2018-04-23 06:07:26 UTC
This is an attempt to make the screen messages less confusing when it's not possible to place a hold. Might work well already or just be a starting point for discussion.
Comment 5 M. Tompsett 2018-04-23 15:51:14 UTC
Comment on attachment 74710 [details] [review]
Bug 19171: Attempt to make "no holds possible" messages less confusing

Review of attachment 74710 [details] [review]:
-----------------------------------------------------------------

Failed QA for the excess tag, but it would be nice to get an answer the the question too.

::: koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-reserve.tt
@@ +22,4 @@
>          <div id="holds">
>              [% IF ( message ) %]
>                  <div id="holdmessages" class="alert">
> +                    <p>Sorry, you cannot place holds.</strong></p>

I believe you forgot to remove the </strong> too.

@@ +174,4 @@
>                                                  <div class="alert">You have already requested this title.</div>
>                                              [% ELSE %]
>                                                  [% UNLESS ( bibitemloo.bib_available ) %]
> +                                                    <div class="alert">There are no items that can be placed on hold.</div>

If you changed items to titles above, why not here?
Comment 6 Katrin Fischer 2018-04-23 15:55:49 UTC
(In reply to M. Tompsett from comment #5)
> Comment on attachment 74710 [details] [review] [review]
> Bug 19171: Attempt to make "no holds possible" messages less confusing
> 
> Review of attachment 74710 [details] [review] [review]:
> -----------------------------------------------------------------
> 
> Failed QA for the excess tag, but it would be nice to get an answer the the
> question too.
> 
> ::: koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-reserve.tt
> @@ +22,4 @@
> >          <div id="holds">
> >              [% IF ( message ) %]
> >                  <div id="holdmessages" class="alert">
> > +                    <p>Sorry, you cannot place holds.</strong></p>
> 
> I believe you forgot to remove the </strong> too.

True.

> 
> @@ +174,4 @@
> >                                                  <div class="alert">You have already requested this title.</div>
> >                                              [% ELSE %]
> >                                                  [% UNLESS ( bibitemloo.bib_available ) %]
> > +                                                    <div class="alert">There are no items that can be placed on hold.</div>
> 
> If you changed items to titles above, why not here?

Because this one actually talks about items - the one above only appears now when you try to place a hold on multiple records.
Comment 7 Owen Leonard 2018-04-24 12:59:39 UTC
Created attachment 74802 [details] [review]
Bug 19171: Attempt to make "no holds possible" messages less confusing

At the moment, when no holds are possible, the OPAC reads something
like:

Sorry, none of these items can be placed on hold.
No items available.

This is confusing to the patrons, because the records have items,
but they are not showing. The record also may have available items,
they are just not permitted to place holds on them.

Changes:
- Only display the first message, when somoene tried unsuccessfully
  to place holds on multiple records.
- Change first message to: Sorry, none of these titles can be placed on hold.
- Change the second message to read:
  No items available to be placed on hold.
- Remove <strong> around Sorry for better translatability.

To test:
- Try to place a hold on single record, where no hold is possible.
- Try to place a hold on a single record, where a hold is possible.
- Try to place holds on multiple records where no hold is possible.
- Try to place holds on multiple records where at least one hold
  is possible.

  Verify the screen messages make sense in all cases.

https://bugs.koha-community.org/show_bug.cgi?id=14716

Fixed stray </strong> during signoff.
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 8 Marcel de Rooy 2018-05-04 10:18:11 UTC
Created attachment 75059 [details] [review]
Bug 19171: Attempt to make "no holds possible" messages less confusing

At the moment, when no holds are possible, the OPAC reads something
like:

Sorry, none of these items can be placed on hold.
No items available.

This is confusing to the patrons, because the records have items,
but they are not showing. The record also may have available items,
they are just not permitted to place holds on them.

Changes:
- Only display the first message, when somoene tried unsuccessfully
  to place holds on multiple records.
- Change first message to: Sorry, none of these titles can be placed on hold.
- Change the second message to read:
  No items available to be placed on hold.
- Remove <strong> around Sorry for better translatability.

To test:
- Try to place a hold on single record, where no hold is possible.
- Try to place a hold on a single record, where a hold is possible.
- Try to place holds on multiple records where no hold is possible.
- Try to place holds on multiple records where at least one hold
  is possible.

  Verify the screen messages make sense in all cases.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Fixed stray </strong> during signoff.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
For consistency with staff, I renamed multi_holds to multi_hold.
Comment 9 Marcel de Rooy 2018-05-04 10:22:00 UTC
Looks good to me. (We could still improve on holds :)

Note that imo we do not need the multi_hold param in opac-reserve. If you have one title, 'none of these titles' is still true.
And on the other hand, if you have two titles, we actually do not need the top level none_available message at all. We still see multiple lines with There are no items that can be placed on hold.
No big deal.
Comment 10 Jonathan Druart 2018-05-04 12:50:16 UTC
Pushed to master for 18.05, thanks to everybody involved!